<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ShowFormAddCategory() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $category_separator, $admin_template_path;

  // vars url & form
  global $cat;

  // vars messages
  global $msg;

  // vars template
  global $parent, $visible, $permission, $registered_only;
  
  $category_obj = new clsCategory;
  $category_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);

  $category_obj->table_name = "idx_category";
  $category_obj->separator = $category_separator;

  $parent = $category_obj->DisplayCategoryListBox(0);
  $visible = ShowRadioButton("visible",$msg["20011"],$msg["20012"],1);
  $permission = ShowDropDown("permission",$msg["20013"],$msg["20014"],0);
  $registered_only = ShowRadioButton("registered_only",$msg["20015"],$msg["20016"],0);

  DisplayTemplate($admin_template_path."cat_add_form.html",
    "\$parent,\$visible,\$permission,\$registered_only");
}


function ProcessFormAddCategory() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $category_separator, $admin_template_path;

  // vars url & form
  global $name, $cat, $description, $image, $content, $visible, $permission,
    $meta_keyword, $meta_description, $registered_only;

  // vars messages
  global $msg;

  // vars template
  global $message;

  // verify input

  if(empty($name)) $error_msg = $msg["20021"];

  if(empty($error_msg)) {

    $category_obj = new clsCategory;
    $category_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
    $category_obj->table_name = "idx_category";
    $category_obj->separator = $category_separator;
    $parent_id = $cat;
    $category_obj->Add($name, $parent_id, $description, $image, $content, $visible,
      $permission, $meta_keyword, $meta_description, $registered_only);

    $message = $msg["20017"];
  }
  else $message = $error_msg;

  DisplayTemplate($admin_template_path."message.html",
    "\$message");

}



// ---------------
//  main program
// ---------------

$conn = ConnectDB();

include($admin_template_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if($users_obj->GetUserAuthentication(0)!=0){
  $back_url = urlencode("admin/cat_add.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  DisplayTemplate($admin_template_path."header.html","\$novar");
  if (empty($pflag)) {
    ShowFormAddCategory();
  }
  elseif($pflag=='add') {
    ProcessFormAddCategory();
  }
  DisplayTemplate($admin_template_path."footer.html","\$novar");
}
?>
