<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ShowFormEditCategory() {

  // vars global configuration
  global $conn, $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $category_separator, $admin_template_path;

  // vars url & form
  global $id;

  // vars messages
  global $msg;

  // vars template
  global $name, $description, $image, $content, $meta_keyword, $meta_description,
    $parent, $visible, $permission, $registered_only;
  

  // get current value

  $query = "select * from idx_category where category_id = '$id'";
  $result = $conn->Execute($query);
  
  $parent_id = $result->Fields("parent_id");
  $name = $result->Fields("name");
  $description = $result->Fields("description");
  $image = $result->Fields("image");
  $content = $result->Fields("content");
  $visible = $result->Fields("visible");
  $meta_keyword = $result->Fields("meta_keyword");
  $meta_description = $result->Fields("meta_description");
  $permission = $result->Fields("permission");
  $registered_only = $result->Fields("registered_only");


  // prepare for template

  $category_obj = new clsCategory;
  $category_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $category_obj->table_name = "idx_category";
  $category_obj->separator = $category_separator;

  $parent = $category_obj->DisplayCategoryListBox($parent_id,'true');
  
  $visible = ShowRadioButton("visible",$msg["20011"],$msg["20012"],$visible);
  $permission = ShowDropDown("permission",$msg["20013"],$msg["20014"],$permission);
  $registered_only = ShowRadioButton("registered_only",$msg["20015"],$msg["20016"],$registered_only);

  DisplayTemplate($admin_template_path."cat_edit_form.html",
    "\$name,\$description,\$image,\$content,\$meta_keyword,\$meta_description,".
    "\$parent,\$visible,\$permission,\$registered_only,\$id");
}


function ProcessFormEditCategory() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $category_separator, $admin_template_path;

  // vars url & form
  global $id, $name, $cat, $description, $image, $content, $visible, $permission,
    $meta_keyword, $meta_description, $registered_only;

  // vars messages
  global $msg;

  // vars template
  global $message;

  // verify input

  if(empty($name)) $error_msg = $msg["20021"];

  if(empty($error_msg)) {

    $category_obj = new clsCategory;
    $category_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
    $category_obj->table_name = "idx_category";
    $category_obj->separator = $category_separator;
    $parent_id = $cat;
    $category_obj->Edit($id, $name, $parent_id, $description, $image, $content, $visible,
      $permission, $meta_keyword, $meta_description, $registered_only);

    $message = $msg["20051"];
  }
  else $message = $error_msg;

  DisplayTemplate($admin_template_path."message.html",
    "\$message");

}



// ---------------
//  main program
// ---------------

$conn = ConnectDB();

include($admin_template_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if($users_obj->GetUserAuthentication(0)!=0){
  $back_url = urlencode("admin/cat_add.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  DisplayTemplate($admin_template_path."header.html","\$novar");
  if (empty($pflag)) {
    ShowFormEditCategory();
  }
  elseif($pflag=='edit') {
    ProcessFormEditCategory();
  }
  DisplayTemplate($admin_template_path."footer.html","\$novar");
}
?>
