<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ShowFormDeleteEditor() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $category_separator, $admin_template_path, $users_obj;

  // vars url & form
  global $username, $cat;
  
  // vars messages
  global $msg;

  // vars template
  global $category;
  
  // show user detail
  $users_obj->max_rows = 1;
  $users_obj->template_file = $admin_template_path."editor_delete_form.html";
  $users_obj->query = "select * from idx_users where username = '$username'";
  $detail = $users_obj->DisplayUsers();
  

  // category's path
  $category_obj = new clsCategory;
  $category_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $category_obj->table_name = "idx_category";
  $category_obj->separator = $category_separator;
  $category = $category_obj->GetCategoryPath($cat);
  
  $detail = str_replace("<%category%>",$category,$detail);
  $detail = str_replace("<%cat%>",$cat,$detail);
  
  print $detail;
}


function ProcessFormDeleteEditor() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $category_separator, $admin_template_path, $users_obj;

  // vars url & form
  global $cat, $username;

  // vars messages
  global $msg;

  // vars template
  global $message;

  $links_obj = new clsLink;
  $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $links_obj->table_name = "idx_link";
  $links_obj->category_table_name = "idx_category";
  $links_obj->editor_table_name = "idx_editor";
  $links_obj->user_table_name = "idx_users";
  
  // category's path
  $category_obj = new clsCategory;
  $category_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $category_obj->table_name = "idx_category";
  $category_obj->separator = $category_separator;
  $category = $category_obj->GetCategoryPath($cat);

  $links_obj->DeleteEditor($username,$cat);

  $message = $msg["20241"];

  $message = str_replace("<%username%>",$username,$message);
  $message = str_replace("<%category%>",$category,$message);

  DisplayTemplate($admin_template_path."message.html",
    "\$message");

}



// ---------------
//  main program
// ---------------

$conn = ConnectDB();

include($admin_template_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if($users_obj->GetUserAuthentication(0)!=0){
  $back_url = urlencode("admin/cat_add.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  DisplayTemplate($admin_template_path."header.html","\$novar");
  if (empty($pflag)) {
    ShowFormDeleteEditor();
  }
  elseif($pflag=='delete') {
    ProcessFormDeleteEditor();
  }
  DisplayTemplate($admin_template_path."footer.html","\$novar");
}
?>
