<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ViewBadLink() {

  // vars global configuration
  global $conn, $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $category_separator, $admin_template_path, $max_rows, $max_pages, $max_chapters;

  // vars url & form
  global $cat, $pg_which;

  // vars messages
  global $msg;

  // vars template
  global $link, $pagination, $chk_box, $num_rows, $param;
  
  
  $links_obj = new clsLink;
  $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);

  $links_obj->table_name = "idx_link";
  $links_obj->category_table_name = "idx_category";
  $links_obj->bad_link_table_name = "idx_bad_link";
  $links_obj->date_format = $msg["20251"];

  $links_obj->paging = true;
  $links_obj->pg_size = 15;
  $links_obj->cp_size = $max_pages;
  $links_obj->cp_more = $max_chapters;
  $links_obj->href = "link_bad.php";
  $links_obj->more_param = "";
  $links_obj->category_file = "../browse.php";
  $links_obj->category_separator = $category_separator;

  $param = "pg_which=$pg_which";

  $links_obj->template_file = $admin_template_path."link_bad_rows.html";
  $link = $links_obj->BadLinkReport("view_all");

  $pagination = $links_obj->pagination;
  $num_rows = $links_obj->num_rows;

  DisplayTemplate($admin_template_path."link_bad.html","\$category_path,\$category,".
    "\$num_rows,\$pagination,\$link,\$param");

}


// ---------------
//  main program
// ---------------

$conn = ConnectDB();

include($admin_template_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if($users_obj->GetUserAuthentication(0)!=0){
  $back_url = urlencode("admin/link_view.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  DisplayTemplate($admin_template_path."header.html","\$novar");
  ViewBadLink();
  DisplayTemplate($admin_template_path."footer.html","\$novar");
}
?>
