<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ShowFormCreateMessage() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $category_separator, $admin_template_path;

  // vars url & form
  global $cat;

  // vars messages
  global $msg;

  // vars template
  
  DisplayTemplate($admin_template_path."message_create_form.html",
    "\$novar");
}


function ProcessFormCreateMessage() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $category_separator, $admin_template_path;

  // vars url & form
  global $subject, $body;

  // vars messages
  global $msg;

  // vars template
  global $message;

  // verify input

  if(empty($subject)) $error_msg = $msg["20271"];
  elseif(empty($body)) $error_msg = $msg["20272"];

  if(empty($error_msg)) {

    $ml_obj = new clsMailingList;
    $ml_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
    $ml_obj->table_name = "idx_mailing_list";
    $ml_obj->message_table_name = "idx_message";
    $ml_obj->CreateMessage($subject,$body);
    
    $message = $msg["20281"];
  }
  else $message = $error_msg;

  DisplayTemplate($admin_template_path."message.html",
    "\$message");
}



// ---------------
//  main program
// ---------------

$conn = ConnectDB();

include($admin_template_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if($users_obj->GetUserAuthentication(0)!=0){
  $back_url = urlencode("admin/cat_add.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  DisplayTemplate($admin_template_path."header.html","\$novar");
  if (empty($pflag)) {
    ShowFormCreateMessage();
  }
  elseif($pflag=='create') {
    ProcessFormCreateMessage();
  }
  DisplayTemplate($admin_template_path."footer.html","\$novar");
}
?>
