<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ShowFormEditMessage() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $category_separator, $admin_template_path;

  // vars url & form
  global $id;

  // vars messages
  global $msg;

  // vars template
  
  $ml_obj = new clsMailingList;
  $ml_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $ml_obj->table_name = "idx_mailing_list";
  $ml_obj->message_table_name = "idx_message";
  $ml_obj->template_file = $admin_template_path."message_edit_form.html";
  
  $html = $ml_obj->EditMessage("display_form",$id);

  print $html;
}


function ProcessFormEditMessage() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $category_separator, $admin_template_path;

  // vars url & form
  global $subject, $body, $id;

  // vars messages
  global $msg;

  // vars template
  global $message;

  // verify input

  if(empty($subject)) $error_msg = $msg["20301"];
  elseif(empty($body)) $error_msg = $msg["20302"];

  if(empty($error_msg)) {

    $ml_obj = new clsMailingList;
    $ml_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
    $ml_obj->table_name = "idx_mailing_list";
    $ml_obj->message_table_name = "idx_message";
    $ml_obj->EditMessage("process_form",$id,$subject,$body);
    
    $message = $msg["20311"];
  }
  else $message = $error_msg;

  DisplayTemplate($admin_template_path."message.html",
    "\$message");
}



// ---------------
//  main program
// ---------------

$conn = ConnectDB();

include($admin_template_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if($users_obj->GetUserAuthentication(0)!=0){
  $back_url = urlencode("admin/cat_add.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  DisplayTemplate($admin_template_path."header.html","\$novar");
  if (empty($pflag)) {
    ShowFormEditMessage();
  }
  elseif($pflag=='edit') {
    ProcessFormEditMessage();
  }
  DisplayTemplate($admin_template_path."footer.html","\$novar");
}
?>
