<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ShowFormSendMessage() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $category_separator, $admin_template_path;

  // vars url & form
  global $id;

  // vars messages
  global $msg;

  // vars template
  
  $ml_obj = new clsMailingList;
  $ml_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $ml_obj->table_name = "idx_mailing_list";
  $ml_obj->message_table_name = "idx_message";
  $ml_obj->template_file = $admin_template_path."message_send_form.html";
  
  $html = $ml_obj->SendMessage("confirm_form",$id);

  print $html;
}


function ProcessFormSendMessage() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $category_separator, $admin_template_path;

  // vars url & form
  global $subject, $body, $id, $send_to;

  // vars messages
  global $msg;

  // vars template
  global $message;

  // verify input

  $ml_obj = new clsMailingList;
  $ml_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $ml_obj->table_name = "idx_mailing_list";
  $ml_obj->message_table_name = "idx_message";
  $ml_obj->email_from = $msg["20331"];
  
  $links_obj = new clsLink;
  $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  
  $links_obj->query = "select * from idx_link where category_id = '$cat' order by bid desc";
  $links_obj->table_name = "idx_link";
  $links_obj->category_table_name = "idx_category";
  $links_obj->user_table_name = "idx_users";
  $links_obj->editor_table_name = "idx_editor";
  
  // get array of email addr
  if($send_to=='mailing_list_subscriber') $send_to = $ml_obj->GetAllSubscriber();
  elseif($send_to=='webmaster') $send_to = $links_obj->GetAllWebmasterEmail();
  elseif($send_to=='editor') $send_to = $links_obj->GetEditorEmail('all');
  elseif($send_to=='all') {
    $a1 = $ml_obj->GetAllSubscriber();
    $a2 = $links_obj->GetAllWebmasterEmail();
    $a3 = $links_obj->GetEditorEmail('all');

    $emails = array_merge($a1,$a2,$a3);

    $send_to = array();
    
    // eliminate duplicate email addr
    $i=0;
    while($i<count($emails)) {
      $email = $emails[$i];
      if(!in_array($email,$send_to)) $send_to[] = $email;
      $i++;
    }
  }
    
  $ml_obj->SendMessage("process_form",$id,$send_to);

  $message = $msg["20341"];
 
  DisplayTemplate($admin_template_path."message.html",
    "\$message");
}



// ---------------
//  main program
// ---------------

$conn = ConnectDB();

include($admin_template_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if($users_obj->GetUserAuthentication(0)!=0){
  $back_url = urlencode("admin/cat_add.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  DisplayTemplate($admin_template_path."header.html","\$novar");
  if (empty($pflag)) {
    ShowFormSendMessage();
  }
  elseif($pflag=='send') {
    ProcessFormSendMessage();
  }
  DisplayTemplate($admin_template_path."footer.html","\$novar");
}
?>
