<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ViewSubscriber() {

  // vars global configuration
  global $conn, $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $category_separator, $admin_template_path, $max_rows, $max_pages, $max_chapters;

  // vars url & form
  global $cat, $pg_which;

  // vars messages
  global $msg;

  // vars template
  global $subscriber_list, $total;
  
  $ml_obj = new clsMailingList;
  $ml_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $ml_obj->table_name = "idx_mailing_list";
  $ml_obj->message_table_name = "idx_message";
  $ml_obj->template_file = $admin_template_path . "message_subscriber_rows.html";
  
  $subscriber_list = $ml_obj->ViewSubscriber();
  $total = $ml_obj->num_rows; 

  DisplayTemplate($admin_template_path."message_subscriber.html",
    "\$subscriber_list,\$total");
}


// ---------------
//  main program
// ---------------

$conn = ConnectDB();

include($admin_template_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if($users_obj->GetUserAuthentication(0)!=0){
  $back_url = urlencode("admin/link_view.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  DisplayTemplate($admin_template_path."header.html","\$novar");
  ViewSubscriber();
  DisplayTemplate($admin_template_path."footer.html","\$novar");
}
?>
