<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ShowMainPage() {
  global $conn,$admin_template_path,$cookie_admin_last_visit;
  global $active_links,$active_categories,$active_reviews,
    $await_links,$await_reviews,$bad_links,$mailing_list_subscribers;
  
  $query = "select count(category_id) as active_categories from idx_category";
  $result = $conn->Execute($query);
  $active_categories = $result->Fields("active_categories");

  $query = "select count(link_id) as active_links from idx_link";
  $result = $conn->Execute($query);
  $active_links = $result->Fields('active_links');

  $query = "select count(review_id) as active_reviews from idx_review";
  $result = $conn->Execute($query);
  $active_reviews = $result->Fields('active_reviews');

  $query = "select count(review_id) as await_reviews from idx_review where status=0";
  $result = $conn->Execute($query);
  $await_reviews = $result->Fields('await_reviews');

  $query = "select count(vid) as await_links from idx_link_temp";
  $result = $conn->Execute($query);
  $await_links = $result->Fields('await_links');
  
  $query = "select count(bad_link_id) as bad_links from idx_bad_link";
  $result = $conn->Execute($query);
  $bad_links = $result->Fields('bad_links');

  $query = "select count(email) as mailing_list_subscribers from idx_mailing_list";
  $result = $conn->Execute($query);
  $mailing_list_subscribers = $result->Fields('mailing_list_subscribers');


  DisplayTemplate($admin_template_path."summary.html",
    "\$active_links,\$active_categories,\$active_reviews,\$await_links,\$await_reviews,\$bad_links,\$mailing_list_subscribers");
}

// ---------------
//  main program
// ---------------

$conn = ConnectDB();

include($admin_template_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if($users_obj->GetUserAuthentication(0)!=0){
  $back_url = urlencode("admin/summary.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  DisplayTemplate($admin_template_path."header.html","\$title_page");
  ShowMainPage();
  DisplayTemplate($admin_template_path."footer.html","\$novar");
}
?>
