<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function DeleteUser() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $admin_template_path, $users_obj;

  // vars url & form
  global $num_rows;

  // vars messages
  global $msg;

  // vars template
  global $message;

  $i=1;
  while($i<=$num_rows){
    $var = "chkbox_$i";
    $id = $GLOBALS["$var"];

    if(!empty($id)) {
      $username = $id;
      $delete_result = $users_obj->Delete($id);

      if($delete_result==0) $message .= $msg["20191"];
  
      $message = str_replace("<%username%>",$username,$message);
    }
    $i++;
  }
  
  if(empty($message)) $message = $msg["20192"];
  

  DisplayTemplate($admin_template_path."message.html",
    "\$message");
}


// ---------------
//  main program
// ---------------

$conn = ConnectDB();

include($admin_template_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if($users_obj->GetUserAuthentication(0)!=0){
  $back_url = urlencode("admin/link_view.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  DisplayTemplate($admin_template_path."header.html","\$novar");
  DeleteUser();
  DisplayTemplate($admin_template_path."footer.html","\$novar");
}
?>
