<?php 

// --------------------------------------------------------------------------
//
// INDEXU(tm) v.3.0 
// Copyright(C), Sentraweb, 2001, All Rights Reserved.
//
// INDEXU(tm) is protected by Indonesia and International copyright laws.
// Unauthorized use or distribution of INDEXU(tm) is strictly prohibited,
// violators will be prosecuted. To obtain a license for using INDEXU(tm), 
// please register at INDEXU home page at http://www.indexu.com/
//
// Author: Dody Rachmat Wicaksono (dody@sentraweb.com) 
// 30-Oct-2001
//
// --------------------------------------------------------------------------




// ------------------------------------------- 
// --------- configuration variables ---------
// -------------------------------------------


// ----- database -----

$dbServer = "<%dbServer%>";
$dbHostname = "<%dbHostname%>";
$dbUsername = "<%dbUsername%>";
$dbPassword = "<%dbPassword%>";
$dbName = "<%dbName%>";



// ----- site url, without trailing with '/' -----

$site_url = "<%site_url%>";   

// ----- base path, trailing with '/' -----

$base_path = "<%base_path%>";

// ----- theme path, trailing with '/' -----

$theme_path = "<%theme_path%>";

// ----- admin template path, trailing with '/' -----

$admin_template_path = "<%admin_template_path%>";




// ----- ADODB cache path, without trailing '/' -----
$ADODB_CACHE_DIR = "";

// ----- ADODB cache time -----
$cache_time = 3600;  // in second
$use_cache_status = false;




// ----- limits -----

$new_limit = <%new_limit%>;       // maximum days in What's New section
$updated_limit = <%updated_limit%>;       // maximum days in for updated flag
$hot_limit = <%hot_limit%>;      // top 20 most accessed links
$top_rated_limit = <%top_rated_limit%>; // top 20 most rated links
$main_new_links = <%main_new_links%>;
$main_hot_links = <%main_hot_links%>;





// ----- display category list -----

$cat_table_width = "<%cat_table_width%>";             // table witdth
$cat_cellspacing = "<%cat_cellspacing%>";               // table cellspacing
$cat_font_face = "<%cat_font_face%>";             // category font face
$cat_font_size = "<%cat_font_size%>";                 // category font color
$cat_link_style = "<%cat_link_style%>";     // category link style
$subcat_font_face = "<%subcat_font_face%>";          // sub category font face
$subcat_font_size = "<%subcat_font_size%>";              // sub category font color
$subcat_link_style = "<%subcat_link_style%>";  // sub category link style
$category_separator = "<%category_separator%>";   // string that will separate between the category and its subcategories
$number_of_links_format = "<%number_of_links_format%>";  // number of links
$cat_columns = <%cat_columns%>;
$max_sub_cat = <%max_sub_cat%>;
$cat_default_image = "<%cat_default_image%>";
$cat_description_format = "<%cat_description_format%>";   






// ----- pagination : category page -----

$max_rows = <%max_rows%>;      // maximum links in a page
$max_pages = <%max_pages%>;      // maximum pages in a chapter
$max_chapters = <%max_chapters%>;   // maximum chapters

// ----- pagination : review page -----

$rev_max_rows = <%rev_max_rows%>;     // maximum reviews in a review page
$rev_max_pages = <%rev_max_pages%>;     // maximum pages in a chapter in review page
$rev_max_chapters = <%rev_max_chapters%>;  // maximum chapters in review pages




$spam_proof = <%spam_proof%>;
$enable_user_validation = <%enable_user_validation%>;  

$bold_keyword = <%bold_keyword%>;
$bold_format = "<%bold_format%>";  


$allowed_file_extention = "<%allowed_file_extention%>";

// -------------------------------- 
// --------- load titles  ---------
// --------------------------------

include($base_path."titles.inc.php");



// ------------------------------------ 
// --------- required library ---------
// ------------------------------------


include($base_path."lib/adodb/adodb.inc.php");
include($base_path.'lib/adodb/adodb-session.php');

include($base_path."lib/pagination.class.php");
include($base_path."lib/users.class.php");
include($base_path."lib/category.class.php");
include($base_path."lib/link.class.php");
include($base_path."lib/mailing_list.class.php");

include($base_path."lib/template.lib.php");
include($base_path."lib/form_validation.lib.php");
include($base_path."lib/misc.lib.php");


ADOLoadCode("mysql");




?>
