<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ViewBadLink() {

  // vars global configuration
  global $conn, $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $category_separator, $theme_path, $max_rows, $max_pages, $max_chapters, $COOKIE_USERNAME;

  // vars url & form
  global $pg_which;

  // vars messages
  global $msg;

  // vars template
  global $link, $pagination, $chk_box, $num_rows, $param;
  
  $links_obj = new clsLink;
  $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);

  $links_obj->table_name = "idx_link";
  $links_obj->category_table_name = "idx_category";
  $links_obj->user_table_name = "idx_users";
  $links_obj->editor_table_name = "idx_editor";
  $links_obj->bad_link_table_name = "idx_bad_link";
  $links_obj->date_format = $msg["20171"];

  $links_obj->paging = true;
  $links_obj->pg_size = 15;
  $links_obj->cp_size = $max_pages;
  $links_obj->cp_more = $max_chapters;
  $links_obj->href = "editor_link_bad.php";
  $links_obj->more_param = "";
  $links_obj->category_file = "../browse.php";
  $links_obj->category_separator = $category_separator;

  $param = "pg_which=$pg_which";

  $links_obj->template_file = $theme_path."cp/editor_link_bad_rows.html";
  $link = $links_obj->BadLinkReport("view_all","","","","",true);

  $pagination = $links_obj->pagination;
  $num_rows = $links_obj->num_rows;

  DisplayTemplate($theme_path."cp/editor_link_bad.html",
    "\$num_rows,\$pagination,\$link,\$param");
}



// ---------------
//  main program
// ---------------

$conn = ConnectDB();
$title = $titles["2015"];

$theme_name = GetTheme($cookie_username);
if(empty($theme_name)) $theme_name = "default";

$theme_path = $theme_path.$theme_name."/";
include($theme_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

// is he an editor

if($users_obj->GetUserAuthentication(1)!=0){
  $back_url = urlencode("cp/editor_link_bad.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  DisplayTemplate($theme_path."cp/header.html","\$title");
  ViewBadLink();
  DisplayTemplate($theme_path."cp/footer.html","\$novar");
}
?>
