<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ShowFormUpload() {

  // vars global configuration
  global $theme_path;

  // vars url & form
  global $id,$f;  

  // vars messages
  global $msg;

  // vars template
  global $error_msg, $link_id;
  
  if(empty($link_id)) $link_id = $id;
  
  DisplayTemplate($theme_path."cp/editor_upload_form.html",
    "\$error_msg,\$userfile,\$link_id,\$f");
}


function ProcessFormUpload() {

  // vars global configuration
  global $conn, $site_url, $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path, $base_path, $allowed_file_extention;
  
  // vars url & form
  global $userfile, $link_id, $folder, $f, 
    $userfile_name, $userfile_type;
      
  // vars messages
  global $msg;
  
  // vars template
  global $error_msg;

  
  $image = true;  

  $allowed_file_extention = explode(",",$allowed_file_extention);
  if(!empty($userfile_name)) {
    // get file extention
    $temp = explode(".",$userfile_name);
    $last = count($temp)-1;
    $file_ext = $temp[$last];
  }

 
 
  // verify input
  
  if(!in_array($file_ext,$allowed_file_extention)) $error_msg = $msg["20292"];

  if(empty($error_msg)) {

    // copy file to the right folder
    $copy_to = $base_path . $folder. "/". $f ."_". $link_id .".". $file_ext;
    if(!@copy($userfile,$copy_to)) {
      $error_msg = $msg["20291"];
      ShowFormUpload();    
    }

    else {
    
      // write to db
      $relatif_path = $folder. "/". $f ."_". $link_id .".". $file_ext;
      $query = "update idx_link set $f = '$relatif_path' where link_id = $link_id";
      $conn->Execute($query);
    }
    
    DisplayTemplate($theme_path."cp/editor_upload_ok.html",
      "\$novar");
  }
  else {
    ShowFormUpload();    
  }
}



// ---------------
//  main program
// ---------------

$conn = ConnectDB();

$theme_name = GetTheme($cookie_username);
if(empty($theme_name)) $theme_name = "default";

$theme_path = $theme_path.$theme_name."/";
include($theme_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

// is he an editor

if($users_obj->GetUserAuthentication(1)!=0){
  $back_url = urlencode("cp/editor_link_search.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  if (empty($pflag)) {  
    ShowFormUpload();    
  }
  elseif($pflag=='upload') {
    ProcessFormUpload(); 
  }
}
?>
