<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ShowFormAddFavorites() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path, $COOKIE_USERNAME, $category_separator;

  // vars url & form
  global $id;
  
  // vars messages
  global $msg;

  // vars template

  $links_obj = new clsLink;
  $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);

  $links_obj->query = "select * from idx_link where link_id = $id";
  $links_obj->table_name = "idx_link";
  $links_obj->category_table_name = "idx_category";
  $links_obj->favorite_table_name = "idx_favorites";
  $links_obj->category_separator = $category_separator;
  $links_obj->max_rows = 1;
  $links_obj->rating_image_path = $theme_path."images/";
  $links_obj->date_format = $msg["20051"];
  $links_obj->template_file = $theme_path."cp/favorite_add_form.html";

  $detail = $links_obj->Display();
  $fav = $links_obj->GetFavoritesDropDown($COOKIE_USERNAME);
  $detail = str_replace("<%favorite%>",$fav,$detail);
  
  print $detail;

}


function ProcessFormAddFavorites() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path, $COOKIE_USERNAME;

  // vars url & form
  global $theme, $link_id, $favorite;

  // vars messages
  global $msg;
  
  // vars template
  global $error_msg;

  $links_obj = new clsLink;
  $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);

  $links_obj->table_name = "idx_link";
  $links_obj->favorite_table_name = "idx_favorites";
  $links_obj->favorite_detail_table_name = "idx_favorites_detail";
  $add_result = $links_obj->AddToFavorite($favorite,$link_id);

  if($add_result==0) DisplayTemplate($theme_path."cp/favorite_add_ok.html","\$novar");
  elseif($add_result==1) {
    $error_msg = $msg["20061"];
    DisplayTemplate($theme_path."cp/favorite_add_error.html","\$error_msg");
  }
}



// --------------
//  main program
// --------------

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if(!$users_obj->GetUserAuthentication()==0){
  $back_url = urlencode("cp/favorite_detail_add.php?id=$id");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {

  $conn = ConnectDB();
  $title = $titles["2005"];

  $theme_name = GetTheme($cookie_username);
  if(empty($theme_name)) $theme_name = "default";

  $theme_path = $theme_path.$theme_name."/";
  include($theme_path."msg.php");



  DisplayTemplate($theme_path."cp/header.html","\$title,\$cat");

  if (empty($pflag)) {
    ShowFormAddFavorites();
  }
  elseif($pflag=='add') {
    ProcessFormAddFavorites();
  }

  DisplayTemplate($theme_path."cp/footer.html","\$novar");

}
?>

