<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ShowFormDeleteFavorite() {

  // vars global configuration
  global $conn, $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path,$COOKIE_USERNAME,$HTTP_POST_VARS;

  // vars url & form
  global $id;

  // vars messages
  global $msg;

  // vars template
  global $title;

  $query = "select title from idx_favorites where favorite_id = $id";
  $result = $conn->Execute($query);
  $title = $result->Fields("title");

  DisplayTemplate($theme_path."cp/favorite_delete_confirm.html","\$title,\$id");
}


function ProcessFormDeleteFavorite() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path,$COOKIE_USERNAME,$HTTP_POST_VARS;

  // vars url & form
  global $id;

  // vars messages
  global $msg;
  
  // vars template
  global $error_msg;
  

  // verify input
  

  $links_obj = new clsLink;
  $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $links_obj->favorite_table_name = "idx_favorites";
  $links_obj->favorite_detail_table_name = "idx_favorites_detail";
  $delete_result = $links_obj->DeleteFavorite($COOKIE_USERNAME,$id);

  if($delete_result==0)  DisplayTemplate($theme_path."cp/favorite_delete_ok.html","\$novar");
  elseif($delete_result==1)  DisplayTemplate($theme_path."cp/not_allowed.html","\$novar");
}



// --------------
//  main program
// --------------

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if(!$users_obj->GetUserAuthentication()==0){
  $back_url = urlencode("cp/index.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {

  $conn = ConnectDB();
  $title = $titles["2008"];

  $theme_name = GetTheme($cookie_username);
  if(empty($theme_name)) $theme_name = "default";

  $theme_path = $theme_path.$theme_name."/";
  include($theme_path."msg.php");



  DisplayTemplate($theme_path."cp/header.html","\$title,\$cat");
  if (empty($pflag)) {
    ShowFormDeleteFavorite();
  }
  elseif($pflag=='delete') {
    ProcessFormDeleteFavorite();
  }
  DisplayTemplate($theme_path."cp/footer.html","\$novar");

}
?>

