<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ShowFormEditFavorites() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path, $COOKIE_USERNAME;

  // vars url & form
  global $id;

  // vars messages
  global $msg;

  // vars template
  global $error_msg, $title, $description;
  
  $links_obj = new clsLink;
  $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $links_obj->favorite_table_name = "idx_favorites";
  $links_obj->template_file = $theme_path."cp/favorite_edit_form.html";
  $edit_result = $links_obj->EditFavorite("display_form",$COOKIE_USERNAME,$id);

  // if user is not the owner
  if($edit_result==1)  DisplayTemplate($theme_path."cp/not_allowed.html","\$novar");
}


function ProcessFormEditFavorites() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path,$COOKIE_USERNAME,$HTTP_POST_VARS;

  // vars url & form
  global $id, $title, $description;

  // vars messages
  global $msg;
  
  // vars template
  global $error_msg;
  

  // verify input
  
  $title = $HTTP_POST_VARS["title"];
  
  if(empty($title)) $error_msg = $msg["20071"];

  if(empty($error_msg)) {
    $links_obj = new clsLink;
    $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
    $links_obj->favorite_table_name = "idx_favorites";
    $links_obj->template_file = $theme_path."cp/favorite_edit_ok.html";
    $links_obj->EditFavorite("process_form",$COOKIE_USERNAME,$id);

    if($edit_result==1)  DisplayTemplate($theme_path."cp/not_allowed.html","\$novar");
  }
  else {
    ShowFormEditFavorites();
  }
}



// --------------
//  main program
// --------------

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if(!$users_obj->GetUserAuthentication()==0){
  $back_url = urlencode("cp/favorite_edit.php?id=$id");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {

  $conn = ConnectDB();
  $title = $titles["2007"];

  $theme_name = GetTheme($cookie_username);
  if(empty($theme_name)) $theme_name = "default";

  $theme_path = $theme_path.$theme_name."/";
  include($theme_path."msg.php");



  DisplayTemplate($theme_path."cp/header.html","\$title,\$cat");

  if (empty($pflag)) {
    ShowFormEditFavorites();
  }
  elseif($pflag=='edit') {
    ProcessFormEditFavorites();
  }

  DisplayTemplate($theme_path."cp/footer.html","\$novar");

}
?>

