<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ShowFormChangePreference() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path, $users_obj, $COOKIE_USERNAME;

  // vars url & form

  // vars messages
  global $msg;

  // vars template
  global $error_msg, $theme, $nol_category, $nol_search;
  
  $users_obj->template_file = $theme_path."cp/preference_form.html";
  $users_obj->ChangePreference("display_form",$COOKIE_USERNAME);

}


function ProcessFormChangePreference() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path, $users_obj, $COOKIE_USERNAME;

  // vars url & form
  global $theme, $nol_category, $nol_search;

  // vars messages
  global $msg;
  
  // vars template
  global $error_msg;
  

  // verify input
  
  if(empty($nol_category)) $error_msg = $msg["20041"];
  elseif(empty($nol_search)) $error_msg = $msg["20042"];
  elseif (!IsDigit($nol_category)) $error_msg = $msg["20043"];
  elseif (!IsDigit($nol_search)) $error_msg = $msg["20044"];

  if(empty($error_msg)) {
    $users_obj->template_file = $theme_path."cp/preference_ok.html";
    $users_obj->ChangePreference("process_form",$COOKIE_USERNAME);
  }
  else {
    ShowFormChangePreference();
  }
}



// --------------
//  main program
// --------------

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if(!$users_obj->GetUserAuthentication()==0){
  $back_url = urlencode("cp/preference.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {

  $conn = ConnectDB();
  $title = $titles["2003"];

  $theme_name = GetTheme($cookie_username);
  if(empty($theme_name)) $theme_name = "default";

  $theme_path = $theme_path.$theme_name."/";
  include($theme_path."msg.php");



  DisplayTemplate($theme_path."cp/header.html","\$title,\$cat");

  if (empty($pflag)) {
    ShowFormChangePreference();
  }
  elseif($pflag=='change') {
    ProcessFormChangePreference();
  }

  DisplayTemplate($theme_path."cp/footer.html","\$novar");

}
?>

