<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ShowFormChangeProfile() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path, $users_obj, $COOKIE_USERNAME;

  // vars url & form

  // vars messages
  global $msg;

  // vars template
  global $error_msg, $name, $email, $homepage, $icq, $yahoo, $aol, $biography,
    $interest, $location, $occupation;
  
  $users_obj->template_file = $theme_path."cp/profile_form.html";
  $users_obj->ChangeProfile("display_form",$COOKIE_USERNAME);

}


function ProcessFormChangeProfile() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path, $users_obj, $COOKIE_USERNAME;

  // vars url & form
  global $name, $email, $homepage, $icq, $yahoo, $aol, $biography,
    $interest, $location, $occupation;

  // vars messages
  global $msg;
  
  // vars template
  global $error_msg;
  

  $name = stripslashes($name);
  $email = stripslashes($email);
  $homepage = stripslashes($homepage);
  $icq = stripslashes($icq);
  $yahoo = stripslashes($yahoo);
  $aol = stripslashes($aol);
  $biography = stripslashes($biography);
  $interest = stripslashes($interest);
  $location = stripslashes($location);
  $occupation = stripslashes($occupation);


  // verify input
  
  if(empty($name)) $error_msg = $msg["20023"];
  elseif(empty($email)) $error_msg = $msg["20021"];
  elseif (!IsEmailAddress($email)) $error_msg = $msg["20022"];

  if(empty($error_msg)) {
    $users_obj->template_file = $theme_path."cp/profile_ok.html";
    $users_obj->ChangeProfile("process_form",$COOKIE_USERNAME);
  }
  else {
    ShowFormChangeProfile();
  }
}



// --------------
//  main program
// --------------

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if(!$users_obj->GetUserAuthentication()==0){
  $back_url = urlencode("cp/profile.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {

  $conn = ConnectDB();
  $title = $titles["2002"];

  $theme_name = GetTheme($cookie_username);
  if(empty($theme_name)) $theme_name = "default";

  $theme_path = $theme_path.$theme_name."/";
  include($theme_path."msg.php");



  DisplayTemplate($theme_path."cp/header.html","\$title,\$cat");

  if (empty($pflag)) {
    ShowFormChangeProfile();
  }
  elseif($pflag=='change') {
    ProcessFormChangeProfile();
  }

  DisplayTemplate($theme_path."cp/footer.html","\$novar");

}
?>

