<?php

include("application.php");

// ---------------
//  functions
// ---------------

function ShowDetailPage() {

  // vars global configuration

  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName, $theme_name,
    $theme_path, $rev_max_rows, $rev_max_pages, $rev_max_chapters, $category_separator;
  
  // vars url & form
  global $id;
    
  // vars messages
  global $msg;
  
  // vars template


  $links_obj = new clsLink;
  $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);

  $links_obj->query = "select * from idx_link where link_id = $id";
  $links_obj->table_name = "idx_link";
  $links_obj->category_table_name = "idx_category";
  $links_obj->review_table_name = "idx_review";
  $links_obj->category_separator = $category_separator;
  $links_obj->max_rows = 1;
  $links_obj->rating_image_path = "themes/".$theme_name."/images/rating/";
  $links_obj->rev_rating_image_path = "themes/".$theme_name."/images/review/";
  $links_obj->date_format = $msg["10161"];
  $links_obj->template_file = $theme_path."detail.html";

  $detail = $links_obj->Display();
  
  $links_obj->pg_size = $rev_max_rows;
  $links_obj->cp_size = $rev_max_pages;
  $links_obj->cp_more = $rev_max_chapters;
  $links_obj->more_param = "&id=$id";
  $links_obj->template_file = $theme_path."review_rows.html";
 
  //$links_obj->header = $msg["10162"];
  $review_rows = $links_obj->DisplayReview($id);
  if(!empty($review_rows)) $review_rows = $msg["10162"] . $review_rows;
  
  $detail = str_replace("<%pagination%>",$links_obj->pagination,$detail);
  $detail = str_replace("<%review_rows%>",$review_rows,$detail);

  print $detail;
}

// --------------
//  main program
// --------------

$conn = ConnectDB();

$title = $titles["1116"];

$theme_name = GetTheme($COOKIE_USERNAME);
if(empty($theme_name)) $theme_name = "default";

$theme_path = $theme_path.$theme_name."/";
include($theme_path."msg.php");

$query = "select title from idx_link where link_id = '$id'";
$result = $conn->Execute($query);
$link_title = $result->Fields("title");

$title = str_replace("<%link_title%>",$link_title,$title);

DisplayTemplate($theme_path."header.html","\$title,\$cat");
ShowDetailPage();
DisplayTemplate($theme_path."footer.html","\$cat,\$ma");

?>

