<?php

include("application.php");

// ---------------
//  functions
// ---------------

function ShowHotSection() {

  // vars global configuration

  global $conn, $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path, $category_separator, $cache_time, $use_cache_status;      
  
  // vars url & form
    
  // vars messages
  global $msg;
  
  // vars template
  global $category, $link;
  
  // show links
  
  $links_obj = new clsLink;
  $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);

  $links_obj->table_name = "idx_link";
  $links_obj->max_rows = 10;
  $links_obj->template_file = $theme_path."hot_link_rows.html";
  $links_obj->date_format = $msg["10041"];
  
  $links_obj->paging = false;  
  
  $links_obj->category_table_name = "idx_category";
  $links_obj->category_separator = $category_separator;
  
  $links_obj->hot_link_category_path_template = $msg["10042"]; 
  
  $links_obj->cache_time = $cache_time;
  $links_obj->enable_cache = $use_cache_status;

  $link = $links_obj->DisplayHotListing();
  
    
  DisplayTemplate($theme_path."hot.html",
    "\$link");    
}

// --------------
//  main program
// --------------

$conn = ConnectDB();
$title = $titles["1106"];

$theme_name = GetTheme($COOKIE_USERNAME);
if(empty($theme_name)) $theme_name = "default";

$theme_path = $theme_path.$theme_name."/";
include($theme_path."msg.php");



DisplayTemplate($theme_path."header.html","\$title,\$cat");
ShowHotSection();
DisplayTemplate($theme_path."footer.html","\$novar");

?>

