<?php 

// --------------------------------------------------------------------------
//
// Sentraweb Application Framework 2.0
// 
// File name   : form_validation.lib.php 
// Description : Validate various data type 
// Requirement : PHP4 (http://www.php.net)
//
//
// Copyright(C), Sentraweb, 2001, All Rights Reserved.
//
// This library is not free. Unauthorized use or distribution of  is strictly 
// prohibited, violators will be prosecuted. To obtain permission for using 
// this library, please contact us at Sentraweb (support@sentraweb.com)
//
// Author: Dody Rachmat Wicaksono (dody@sentraweb.com) 
// Oct, 2001
//
// --------------------------------------------------------------------------



function IsDigit($str) {  
  if (ereg( "^(0|[1-9][0-9]*)$",$str, $regs)) {   
    return true;
  }
  else {
    return false;
  }
}

function IsMoney($str) {  
  if (ereg( "^([0-9]+|[0-9]{1,3}(,[0-9]{3})*)(\.[0-9]{1,2})?$",$str, $regs)) {   
    return true;
  }
  else {
    return false;
  }
}
   
function IsEmailAddress($str) {  
  if (ereg( "^[_a-zA-Z0-9-]+(\.[_a-zA-Z0-9-]+)*@[a-zA-Z0-9-]+(\.[a-zA-Z0-9-]+)*$",$str, $regs)) {
    return true;
  }
  else {
    return false;
  }
}

function IsAlphanumeric($str) {  
  if (ereg( "^[a-z0-9]+$",$str, $regs)) {   
    return true;
  }
  else {
    return false;
  }
}


?>