<?php

include("application.php");

// ---------------
//  functions
// ---------------

function ShowNewSection() {

  // vars global configuration

  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path, $category_separator, $cache_time, $use_cache_status;    
  
  // vars url & form
  global $pg_which, $st, $dt, $cat, $rev, $id;
    
  // vars messages
  global $msg;
  
  // vars template
  global $new_listing, $path, $total;
  
  // show links
  
  $links_obj = new clsLink;
  $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);

  $links_obj->table_name = "idx_link";
  $links_obj->max_rows = 100000;
  $links_obj->template_file = $theme_path."new_link_rows.html";
  $links_obj->date_format = $msg["10032"];

  $links_obj->paging = false;
  $links_obj->href = "new.php";
  $links_obj->show_new_link_by_category = true;
  
  $links_obj->category_table_name = "idx_category";
  $links_obj->category_separator = $category_separator;
  
  $links_obj->new_link_category_path_template = $msg["10034"];    

  $links_obj->cache_time = $cache_time;
  $links_obj->enable_cache = $use_cache_status;
  
  if(!empty($st))  $path = $msg["10033"] . $links_obj->GetNewListingPath($st,$dt,$id,$rev);
  
  $total = $links_obj->GetTotalNewListing($st,$dt,$id,$rev);
  $new_listing = $links_obj->DisplayNewListing($st,$dt,$id,$rev);  
  
    
  DisplayTemplate($theme_path."new.html",
    "\$total,\$new_listing,\$path");    
}

// --------------
//  main program
// --------------

$conn = ConnectDB();
$title = $titles["1106"];

$theme_name = GetTheme($COOKIE_USERNAME);
if(empty($theme_name)) $theme_name = "default";

$theme_path = $theme_path.$theme_name."/";
include($theme_path."msg.php");



DisplayTemplate($theme_path."header.html","\$title,\$cat");
ShowNewSection();
DisplayTemplate($theme_path."footer.html","\$novar");

?>

