<?php

include("application.php");

// ---------------
//  functions
// ---------------


function ShowFormSendMail() {

  // vars global configuration
  global $theme_path;

  // vars url & form
  global $u, $username;
  
  // vars messages
  global $msg;

  // vars template
  global $error_msg, $email, $name, $username, $body, $subject;
    
  if(empty($username)) $username = $u;
  
  $name = stripslashes($name); 
  $subject = stripslashes($subject); 
  $body = stripslashes($body); 
  
  DisplayTemplate($theme_path."sendmail_form.html",
    "\$error_msg,\$email,\$name,\$username,\$body,\$subject");
}


function ProcessFormSendMail() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path;
  
  // vars url & form
  global $error_msg, $email, $name, $username, $body, $subject;
      
  // vars messages
  global $msg;
  
  // vars template
  global $error_msg;
  
  // verify input
  
  $name = stripslashes($name); 
  $subject = stripslashes($subject); 
  $body = stripslashes($body); 

  if(empty($email)) $error_msg = $msg["10281"];
  elseif (!IsEmailAddress($email)) $error_msg = $msg["10283"];
  
  if(empty($error_msg)) {

    $users_obj = new clsUsers;
    $users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
    $users_obj->table_name = "idx_users";
  
    $email_to = $users_obj->GetEmailAddress($username);
    $email_from = $email;
    
    $from = $name . "<$email_from>";
    mail($email_to,$subject,$body,
      "From: $from \nX-Mailer: INDEXU_X-Mailer/1.0");
  
    DisplayTemplate($theme_path."sendmail_ok.html",
      "\$username");
  }
  else {
    ShowFormSendMail();    
  }
}



// --------------
//  main program
// --------------

$conn = ConnectDB();
$title = $titles["1122"];

$theme_name = GetTheme($COOKIE_USERNAME);
if(empty($theme_name)) $theme_name = "default";

$theme_path = $theme_path.$theme_name."/";
include($theme_path."msg.php");



DisplayTemplate($theme_path."header.html","\$title,\$cat");

if (empty($pflag)) {  
  ShowFormSendMail();    
}
elseif($pflag=='send') {
  ProcessFormSendMail(); 
}

DisplayTemplate($theme_path."footer.html","\$novar");

?>

