<?php

include("application.php");

// ---------------
//  functions
// ---------------

function ShowFormUpload() {

  // vars global configuration
  global $theme_path;

  // vars url & form
  global $id,$mw,$mh,$f;  

  // vars messages
  global $msg;

  // vars template
  global $error_msg, $link_id;
  
  if(empty($link_id)) $link_id = $id;
  
  DisplayTemplate($theme_path."upload_form.html",
    "\$error_msg,\$userfile,\$link_id,\$mw,\$mh,\$f");
}


function ProcessFormUpload() {

  // vars global configuration
  global $conn, $site_url, $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path, $base_path, $allowed_file_extention;
  
  // vars url & form
  global $userfile, $password, $link_id, $folder, $f, $image, $mw, $mh, 
    $userfile_name, $userfile_type;
      
  // vars messages
  global $msg;
  
  // vars template
  global $error_msg;

  $image = true;  

  $allowed_file_extention = explode(",",$allowed_file_extention);
  if(!empty($userfile_name)) {
    // get file extention
    $temp = explode(".",$userfile_name);
    $last = count($temp)-1;
    $file_ext = $temp[$last];
  }

 
 
  // verify input
  
  if(empty($userfile)) $error_msg = $msg["10311"];

  elseif(empty($password)) $error_msg = $msg["10312"];
  
  elseif(!empty($password)) {
  
    $field_name = $f;
    
    // cek password
    $query = "select password from idx_link where link_id = $link_id";
    $result = $conn->Execute($query);
    $pwd = $result->Fields("password");
    
    
    if($password!=$pwd) $error_msg = $msg["10313"];
  }

  if(!in_array($file_ext,$allowed_file_extention)) $error_msg = $msg["10317"];

  // if image, check the size
  elseif($image) {
    $image_size = @GetImageSize($userfile);
    clearstatcache();
    
    // check image width
    if($image_size[0]>$mw) $error_msg = $msg["10314"];

    // check image height
    if($image_size[1]>$mh) $error_msg = $msg["10315"];
  }

  if(empty($error_msg)) {

    // copy file to the right folder
    $copy_to = $base_path . $folder. "/". $f ."_". $link_id .".". $file_ext;
    if(!@copy($userfile,$copy_to)) {
      $error_msg = $msg["10316"];
      ShowFormUpload();    
    }

    else {
    
      // write to db
      $relatif_path = $folder. "/". $f ."_". $link_id .".". $file_ext;
      $query = "update idx_link set $f = '$relatif_path' where link_id = $link_id";
      $conn->Execute($query);
    }
    
    DisplayTemplate($theme_path."upload_ok.html",
      "\$novar");
  }
  else {
    ShowFormUpload();    
  }
}



// --------------
//  main program
// --------------

$conn = ConnectDB();

$theme_name = GetTheme($COOKIE_USERNAME);
if(empty($theme_name)) $theme_name = "default";

$theme_path = $theme_path.$theme_name."/";
include($theme_path."msg.php");




if (empty($pflag)) {  
  ShowFormUpload();    
}
elseif($pflag=='upload') {
  ProcessFormUpload(); 
}


?>

