<?php

include("application.php");

// ---------------
//  functions
// ---------------

function ShowUserDetail() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path, $category_separator;

  // vars url & form
  global $u;

  // vars messages
  global $msg;
  
  // vars template
  global $biography, $name, $username, $category, $icq, $aol, $yahoo,
    $interest, $location, $occupation, $homepage, $date;
  
  $username = $u;
  
  $users_obj = new clsUsers;
  $users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $users_obj->table_name = "idx_users";
  $users_obj->date_format = $msg["10301"];

  $detail = $users_obj->GetUserDetail($username);
  $biography = stripslashes($detail["biography"]);
  $name = $detail["name"];
  $icq = $detail["icq"];
  $aol = $detail["aol"];
  $yahoo = $detail["yahoo"];
  $interest = $detail["interest"];
  $location = $detail["location"];
  $occupation = $detail["occupation"];
  $homepage = $detail["homepage"];
  $date = $detail["date"];
  
  if($homepage=='http://') $homepage = '';
    
  $links_obj = new clsLink;
  $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  
  $links_obj->table_name = "idx_link";
  $links_obj->category_table_name = "idx_category";
  $links_obj->user_table_name = "idx_users";
  $links_obj->editor_table_name = "idx_editor";

  $category_obj = new clsCategory;
  $category_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $category_obj->table_name = "idx_category";
  $category_obj->link_table_name = "idx_link";
  $category_obj->separator = $category_separator; 
  
  $categories = $links_obj->GetEditorCategory($username);
  $i=0;
  while($i<count($categories)) {
    $category .= $category_obj->GetCategoryPath($categories[$i],"../browse.php") . "<br>";
    $i++;
  }    
  
  DisplayTemplate($theme_path."user_detail.html","\$biography,\$name,\$username,\$category,".
    "\$icq,\$aol,\$yahoo,\$interest,\$location,\$occupation,\$homepage,\$date");
}

// --------------
//  main program
// --------------

$conn = ConnectDB();

$title = $titles["1121"];

$theme_name = GetTheme($COOKIE_USERNAME);
if(empty($theme_name)) $theme_name = "default";

$theme_path = $theme_path.$theme_name."/";
include($theme_path."msg.php");


$conn = ConnectDB();
$query = "select title from idx_link where link_id = '$id'";
$result = $conn->Execute($query);
$link_title = $result->Fields("title");

$title = str_replace("<%link_title%>",$link_title,$title);

DisplayTemplate($theme_path."header.html","\$title,\$cat");
ShowUserDetail();
DisplayTemplate($theme_path."footer.html","\$cat,\$ma");

?>

