<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ShowFormChangePassword() {

  // vars global configuration
  global $admin_template_path;

  // vars url & form

  // vars messages

  // vars template

 
  DisplayTemplate($admin_template_path."app_change_pwd_form.html",
    "\$novar");
}


function ProcessFormChangePassword() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $admin_template_path, $users_obj, $COOKIE_USERNAME;

  // vars url & form
  global $present_pwd, $new_pwd, $new_pwd2;

  // vars messages
  global $msg;
  
  // vars template
  global $message;
  

  // verify input
  
  if(empty($present_pwd)) $error_msg = $msg["20391"];
  elseif(empty($new_pwd)) $error_msg = $msg["20392"];
  elseif(empty($new_pwd2)) $error_msg = $msg["20393"];
  elseif($new_pwd2 != $new_pwd) $error_msg = $msg["20394"];

  if(empty($error_msg)) {
    $change_result = $users_obj->ChangePassword($COOKIE_USERNAME,$present_pwd,$new_pwd);
    if($change_result==0) {

      $back_url = urlencode("admin/app_change_pwd.php?pflag=ok");
      header("Location: ../login.php?f=1&b=$back_url&u=$COOKIE_USERNAME&p=$new_pwd&pflag=login");
    }
    else {
      // failed
      $error_msg = $msg["20401"];
    }
  }
  $message = $error_msg;
  DisplayTemplate($admin_template_path."header.html","\$novar");
  DisplayTemplate($admin_template_path."message.html","\$message");
}



// ---------------
//  main program
// ---------------

$conn = ConnectDB();

include($admin_template_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if($users_obj->GetUserAuthentication(0)!=0){
  $back_url = urlencode("admin/cat_add.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  if (empty($pflag)) {
    DisplayTemplate($admin_template_path."header.html","\$novar");
    ShowFormChangePassword();
  }
  elseif($pflag=='change') {
    ProcessFormChangePassword();
  }
  elseif($pflag=='ok') {
    $message = $msg["20402"];
    DisplayTemplate($admin_template_path."header.html","\$novar");
    DisplayTemplate($admin_template_path."message.html","\$message");
  }  
  DisplayTemplate($admin_template_path."footer.html","\$novar");
}
?>
