<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function DeleteCategory() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $admin_template_path;

  // vars url & form
  global $num_rows;

  // vars messages
  global $msg;

  // vars template
  global $message;

  
  $category_obj = new clsCategory;
  $category_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $category_obj->table_name = "idx_category";
  $category_obj->link_table_name = "idx_link";

  $i=1;
  while($i<=$num_rows){
    $var = "chkbox_$i";
    $cat = $GLOBALS["$var"];

    if(!empty($cat)) {
      $name = $category_obj->GetCategoryName($cat);
      $delete_result = $category_obj->Delete($cat);

      if($delete_result==0) $message .= $msg["20041"];
      elseif($delete_result==1) $message .= $msg["20042"];
  
      $message = str_replace("<%category%>",$name,$message);
    }
    $i++;
  }
  
  if(empty($message)) $message = $msg["20043"];
  

  DisplayTemplate($admin_template_path."message.html",
    "\$message");
}


// ---------------
//  main program
// ---------------

$conn = ConnectDB();

include($admin_template_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if($users_obj->GetUserAuthentication(0)!=0){
  $back_url = urlencode("admin/cat_view.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  DisplayTemplate($admin_template_path."header.html","\$novar");
  DeleteCategory();
  DisplayTemplate($admin_template_path."footer.html","\$novar");
}
?>
