<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ViewCategory() {

  // vars global configuration
  global $conn, $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $category_separator, $admin_template_path;

  // vars url & form
  global $cat;

  // vars messages
  global $msg;

  // vars template
  global $chk_box, $name, $cat_id, $dark_light, $category, $cat_path, $num_rows, $param, $editor;
  
  $links_obj = new clsLink;
  $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $links_obj->table_name = "idx_link";
  $links_obj->category_table_name = "idx_category";
  $links_obj->editor_table_name = "idx_editor";
  $links_obj->user_table_name = "idx_users";

  if(empty($cat)) $cat = 0;
  
  // category's path
  
  $category_obj = new clsCategory;
  $category_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $category_obj->table_name = "idx_category";
  $category_obj->separator = $category_separator;
  if($cat==0) $cat_path = $msg["20031"];
  else $cat_path = $msg["20031"].$category_separator.$category_obj->GetCategoryPath($cat,"cat_view.php");
  
  // generate listing
  
  $query = "select * from idx_category where parent_id = $cat";
  $result = $conn->Execute($query);
  $total = $result->RecordCount();
  
  $num_rows = $total;

  $i=0;
  while($i<$total) {
    $result->Move($i);
    $cat_id = $result->Fields('category_id');
    $name = $result->Fields('name');

    // get editor
    
    $editor = "<b>: </b>";
    $editor_list = $links_obj->GetEditor($cat_id);
    $j=0;
    while($j<count($editor_list)) {
      $username = $editor_list[$j];
      $editor .= "<a href=editor_delete.php?username=$username&cat=$cat_id>$username</a>";
      if($j!=count($editor_list)-1) $editor .= ", ";
      $j++;
    }
    if(count($editor_list)==0) $editor = "";

    
    
    
    if($i%2==0) $dark_light = "tbl_light";
    else $dark_light = "tbl_dark";
    
    $number = $i+1;
    $chk_box = "<input type=checkbox name=chkbox_$number value=$cat_id>";

    $category .= EvalTemplate($admin_template_path."cat_view_rows.html",
      "\$name,\$cat_id,\$dark_light,\$chk_box,\$editor");
    
    $i++;
  }

  $param = "cat=$cat";

  DisplayTemplate($admin_template_path."cat_view.html",
    "\$category,\$cat_path,\$num_rows,\$param");
}


// ---------------
//  main program
// ---------------

$conn = ConnectDB();

include($admin_template_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if($users_obj->GetUserAuthentication(0)!=0){
  $back_url = urlencode("admin/cat_view.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  DisplayTemplate($admin_template_path."header.html","\$novar");
  ViewCategory();
  DisplayTemplate($admin_template_path."footer.html","\$novar");
}
?>
