<?php

include("../application.php");

// ---------------
//  functions
// ---------------


function ShowFormUpload() {
  // vars global configuration
  global $admin_template_path;

  // vars url & form
  global $id,$mw,$mh,$f;  

  // vars messages
  global $msg;

  // vars template
  global $error_msg, $link_id;
  
  if(empty($link_id)) $link_id = $id;
  
  DisplayTemplate($admin_template_path."img_upload_form.html",
    "\$error_msg,\$userfile,\$link_id,\$mw,\$mh,\$f");
}

function ProcessFormUpload() {

  // vars global configuration
  global $base_path, $conn, $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $admin_template_path, $allowed_file_extention;

  // vars url & form
  global $userfile, $password, $link_id, $folder, $f, 
    $userfile_name, $userfile_type;

  // vars messages
  global $msg;

  // vars template
  global $message;


  $allowed_file_extention = explode(",",$allowed_file_extention);
  if(!empty($userfile_name)) {
    // get file extention
    $temp = explode(".",$userfile_name);
    $last = count($temp)-1;
    $file_ext = $temp[$last];
  }
  
  if(!in_array($file_ext,$allowed_file_extention)) $message = $msg["20442"]; 
  
  else {

    // copy file to the right folder
    $copy_to = $base_path . $folder. "/". $f ."_". $link_id .".". $file_ext;
    if(!@copy($userfile,$copy_to)) {
      $message = $msg["20443"];
    }

    else {
    
      // write to db
      $relatif_path = $folder. "/". $f ."_". $link_id .".". $file_ext;
      $query = "update idx_link set $f = '$relatif_path' where link_id = $link_id";
      $conn->Execute($query);
  
      $message = $msg["20441"];
    }
  }

  DisplayTemplate($admin_template_path."message.html",
    "\$message");
}


// ---------------
//  main program
// ---------------

$conn = ConnectDB();

include($admin_template_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if($users_obj->GetUserAuthentication(0)!=0){
  $back_url = urlencode("admin/link_view.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  DisplayTemplate($admin_template_path."header.html","\$novar");
  if (empty($pflag)) {  
    ShowFormUpload();    
  }
  elseif($pflag=='upload') {
    ProcessFormUpload(); 
  }
  DisplayTemplate($admin_template_path."footer.html","\$novar");
}
?>
