<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function DeleteBadLink() {

  // vars global configuration
  global $conn, $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $admin_template_path;

  // vars url & form
  global $num_rows, $op;

  // vars messages
  global $msg;

  // vars template
  global $message;

  
  $links_obj = new clsLink;
  $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $links_obj->table_name = "idx_link";
  $links_obj->bad_link_table_name = "idx_bad_link";

  $i=1;
  while($i<=$num_rows){
    $var = "chkbox_$i";
    $id = $GLOBALS["$var"];

    if(!empty($id)) {
    
      if($op=="Delete Report") $op = "delete_report";
      elseif($op=="Delete Link") $op = "delete_link";
    
      // get link id
      $query = "select link_id from idx_bad_link where bad_link_id = $id";
      $result = $conn->Execute($query);
      $lid = $result->Fields("link_id");      
      
      $title = $links_obj->GetLinkTitle($lid);
      
      $delete_result = $links_obj->DeleteBadLinkReport($op,$id);

      if($delete_result==0) $message .= $msg["20261"];
  
      $message = str_replace("<%title%>",$title,$message);
    }
    $i++;
  }
  
  if(empty($message)) $message = $msg["20262"];
  

  DisplayTemplate($admin_template_path."message.html",
    "\$message");
}


// ---------------
//  main program
// ---------------

$conn = ConnectDB();

include($admin_template_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if($users_obj->GetUserAuthentication(0)!=0){
  $back_url = urlencode("admin/link_view.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  DisplayTemplate($admin_template_path."header.html","\$novar");
  DeleteBadLink();
  DisplayTemplate($admin_template_path."footer.html","\$novar");
}
?>
