<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ViewLink() {

  // vars global configuration
  global $conn, $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $category_separator, $admin_template_path, $max_rows, $max_pages, $max_chapters;

  // vars url & form
  global $pg_which;

  // vars messages
  global $msg;

  // vars template
  global $number, $keyword, $time, $ip, $num_result, $last_search, $pagination, $top_search;
  
  
  // last 20 search
  
  $query = "select * from idx_searchlog order by time desc";
  $result = $conn->Execute($query);
  $total = $result->RecordCount();  
  
  // init navigator class
  
  if (empty($pg_which)) { $pg_which=1; }
  $nav = new navigator;
  $nav->pg_size = 15;
  $nav->cp_size = 10;
  $nav->cp_more = 3;
  $nav->href = "log_search.php";
  $nav->more_param = "";

  $nav->pg_which=$pg_which;
  $nav->rec_count=$total;
  $nav->init();  
  
  $pagination = $nav->print_all();

  $i = $nav->rec_start;
  $stop_loop = $nav->rec_end+1;    

  while($i<$stop_loop) {
     
    $result->Move($i);
    $keyword = $result->Fields("keyword");        
    $time = $result->Fields("time");        
    $num_result = $result->Fields("result");        
    $ip = $result->Fields("ip");        
 
    $last_search .= EvalTemplate($admin_template_path."log_search_l_rows.html",
        "\$keyword,\$time,\$ip,\$num_result");
      
    $i++;
  }
  
  
  // top search
  
  if($pg_which==1) {
    
    
    $query = "select distinct keyword, count(keyword) as ck from idx_searchlog 
      group by keyword order by ck desc";
    $result = $conn->Execute($query);
    $total = $result->RecordCount();
        
    $i=0;
    while($i<10 && $i<$total) {
    
      $result->Move($i);
      $keyword = $result->Fields("keyword");        
      $count = $result->Fields("ck");        
 
      $top_search .= EvalTemplate($admin_template_path."log_search_t_rows.html",
        "\$keyword,\$count");
      $i++;
    }
    $top_search = "<p><br><b>    </b>" . $top_search;    
  }  
  
  DisplayTemplate($admin_template_path."log_search.html","\$last_search,\$pagination,".
    "\$top_search");

}


// ---------------
//  main program
// ---------------

$conn = ConnectDB();

include($admin_template_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if($users_obj->GetUserAuthentication(0)!=0){
  $back_url = urlencode("admin/link_view.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  DisplayTemplate($admin_template_path."header.html","\$novar");
  ViewLink();
  DisplayTemplate($admin_template_path."footer.html","\$novar");
}
?>
