<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ShowFormAddUser() {

  // vars global configuration
  global $admin_template_path;

  // vars url & form

  // vars messages

  // vars template

  DisplayTemplate($admin_template_path."user_add_form.html",
    "\$novar");
}


function ProcessFormAddUser() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $admin_template_path;

  // vars url & form
  global $username, $password, $email;

  // vars messages
  global $msg;

  // vars template
  global $message;

  // verify input

  if(empty($username)) $error_msg = $msg["20151"];
  elseif(strlen($username)<3) $error_msg = $msg["20152"];
  elseif(empty($password)) $error_msg = $msg["20153"];
  elseif(empty($email)) $error_msg = $msg["20154"];
  elseif(!IsEmailAddress($email)) $error_msg = $msg["20155"];
  elseif(!IsAlphanumeric($username)) $error_msg = $msg["20157"];
  
  if(empty($error_msg)) {

    // register user
    $users_obj = new clsUsers;
    $users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);

    $users_obj->table_name = "idx_users";
    $users_obj->enable_user_validation = false;
    $register = $users_obj->Register($username,$email,$password);

    if($register=='1') {

      // already exist
      $message = $msg["20156"];
    }
    else {
      $users_obj->ChangeProfile("process_form",$username);

      // success
      $message = $msg["20161"];
    }

  }
  else $message = $error_msg;

  DisplayTemplate($admin_template_path."message.html",
    "\$message");
}



// ---------------
//  main program
// ---------------

$conn = ConnectDB();

include($admin_template_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if($users_obj->GetUserAuthentication(0)!=0){
  $back_url = urlencode("admin/user_add.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  DisplayTemplate($admin_template_path."header.html","\$novar");
  if (empty($pflag)) {
    ShowFormAddUser();
  }
  elseif($pflag=='add') {
    ProcessFormAddUser();
  }
  DisplayTemplate($admin_template_path."footer.html","\$novar");
}
?>
