<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ShowFormAddUser() {

  // vars global configuration
  global $admin_template_path, $users_obj;

  // vars url & form
  global $username;

  // vars messages

  // vars template
  global $error_msg, $name, $email, $homepage, $icq, $yahoo, $aol, $biography,
    $interest, $location, $occupation;

  $users_obj->template_file = $admin_template_path."user_edit_form.html";
  $users_obj->ChangeProfile("display_form",$username,true);
}


function ProcessFormAddUser() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $admin_template_path, $users_obj;

  // vars url & form
  global $username, $password, $email;

  // vars messages
  global $msg;

  // vars template
  global $message;

  // verify input

  if(empty($password)) $error_msg = $msg["20171"];
  elseif(empty($email)) $error_msg = $msg["20172"];
  elseif(!IsEmailAddress($email)) $error_msg = $msg["20173"];

  if(empty($error_msg)) {

    // success
    $message = $msg["20181"];

    $users_obj->template_file = $admin_template_path."message.html";
    $users_obj->ChangeProfile("process_form",$username,true);
  }
  else {
    $message = $error_msg;
    DisplayTemplate($admin_template_path."message.html",$message);
  }
}



// ---------------
//  main program
// ---------------

$conn = ConnectDB();

include($admin_template_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if($users_obj->GetUserAuthentication(0)!=0){
  $back_url = urlencode("admin/user_add.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  DisplayTemplate($admin_template_path."header.html","\$novar");
  if (empty($pflag)) {
    ShowFormAddUser();
  }
  elseif($pflag=='edit') {
    ProcessFormAddUser();
  }
  DisplayTemplate($admin_template_path."footer.html","\$novar");
}
?>
