<?php 

// --------------------------------------------------------------------------
//
// INDEXU(tm) v.3.0 
// Copyright(C), Sentraweb, 2001, All Rights Reserved.
//
// INDEXU(tm) is protected by Indonesia and International copyright laws.
// Unauthorized use or distribution of INDEXU(tm) is strictly prohibited,
// violators will be prosecuted. To obtain a license for using INDEXU(tm), 
// please register at INDEXU home page at http://www.indexu.com/
//
// Author: Dody Rachmat Wicaksono (dody@sentraweb.com) 
// 30-Oct-2001
//
// --------------------------------------------------------------------------




// ------------------------------------------- 
// --------- configuration variables ---------
// -------------------------------------------


// ----- database -----

$dbServer = "mysql";
$dbHostname = "localhost";
$dbUsername = "";
$dbPassword = "";
$dbName = "indexu";



// ----- site url, without trailing with '/' -----

$site_url = "http://localhost/indexu";   

// ----- base path, trailing with '/' -----

$base_path = "C:/apache/htdocs/indexu/";

// ----- theme path, trailing with '/' -----

$theme_path = "C:/apache/htdocs/indexu/themes/";

// ----- admin template path, trailing with '/' -----

$admin_template_path = "C:/apache/htdocs/indexu/admin_tpl/";




// ----- ADODB cache path, without trailing '/' -----
$ADODB_CACHE_DIR = "";

// ----- ADODB cache time -----
$cache_time = 3600;  // in second
$use_cache_status = false;




// ----- limits -----

$new_limit = 7;       // maximum days in What's New section
$updated_limit = 7;       // maximum days in for updated flag
$hot_limit = 20;      // top 20 most accessed links
$top_rated_limit = 20; // top 20 most rated links
$main_new_links = 20;
$main_hot_links = 10;





// ----- display category list -----

$cat_table_width = "90%";             // table witdth
$cat_cellspacing = "3";               // table cellspacing
$cat_font_face = "Arial";             // category font face
$cat_font_size = "2";                 // category font color
$cat_link_style = "font-size: 11px; color: #325D78;";     // category link style
$subcat_font_face = "Arial";          // sub category font face
$subcat_font_size = "2";              // sub category font color
$subcat_link_style = "font-size: 11px; color: #276F9C;";  // sub category link style
$category_separator = " > ";   // string that will separate between the category and its subcategories
$number_of_links_format = " <i style='font-size: 11px; color: #325D78;'>(<%number_of_links%>)</i>";  // number of links
$cat_columns = 3;
$max_sub_cat = 3;
$cat_default_image = "images/folder.gif";
$cat_description_format = "<a style='font-size: 11px; color: #567E96;'><%cat_description%></a>";   






// ----- pagination : category page -----

$max_rows = 10;      // maximum links in a page
$max_pages = 10;      // maximum pages in a chapter
$max_chapters = 3;   // maximum chapters

// ----- pagination : review page -----

$rev_max_rows = 5;     // maximum reviews in a review page
$rev_max_pages = 10;     // maximum pages in a chapter in review page
$rev_max_chapters = 3;  // maximum chapters in review pages




$spam_proof = 1;
$enable_user_validation = 1;  

$bold_keyword = 1;
$bold_format = "<b style='color: #A16600'><%keyword%></b>";  


$allowed_file_extention = "gif,jpg";

// -------------------------------- 
// --------- load titles  ---------
// --------------------------------

include($base_path."titles.inc.php");



// ------------------------------------ 
// --------- required library ---------
// ------------------------------------


include($base_path."lib/adodb/adodb.inc.php");
include($base_path.'lib/adodb/adodb-session.php');

include($base_path."lib/pagination.class.php");
include($base_path."lib/users.class.php");
include($base_path."lib/category.class.php");
include($base_path."lib/link.class.php");
include($base_path."lib/mailing_list.class.php");

include($base_path."lib/template.lib.php");
include($base_path."lib/form_validation.lib.php");
include($base_path."lib/misc.lib.php");


ADOLoadCode("mysql");




?>
