<?php

include("application.php");

// ---------------
//  functions
// ---------------

function ShowFormReportBadLink() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $category_separator, $theme_path, $HTTP_POST_VARS;

  // vars url & form
  global $id;  

  // vars messages
  global $msg;

  // vars template
  global $error_msg, $link_id, $title, $url, $r_name, $r_email;
 
  $r_name = stripslashes($r_name);

  $links_obj = new clsLink;
  $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $links_obj->table_name = "idx_link";
  $links_obj->category_table_name = "idx_category";

  $links_obj->template_file = $theme_path."bad_link_form.html";
  $bad_link_form = $links_obj->BadLinkReport("display_form",$id);   

  print $bad_link_form;  
}


function ProcessFormReportBadLink() {

  // vars global configuration
  global $conn, $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path, $category_separator, $HTTP_POST_VARS, $new_limit;
  
  // vars url & form
  global $id, $r_name, $r_email, $type;
      
  // vars messages
  global $msg;
  
  // vars template
  global $error_msg, $category, $type_val;
  
  // verify input
  
  if (!empty($r_email) && !IsEmailAddress($r_email)) $error_msg = $msg["10231"];
  
  if(empty($error_msg)) {
    
    // get field
    $links_obj = new clsLink;
    $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
    $links_obj->table_name = "idx_link";
    $links_obj->category_table_name = "idx_category";
    $links_obj->editor_table_name = "idx_editor";
    $links_obj->user_table_name = "idx_users";
    $links_obj->bad_link_table_name = "idx_bad_link";
 
    $links_obj->BadLinkReport("process_form",$id,$r_name,$r_email,$type);   
    
    DisplayTemplate($theme_path."bad_link_ok.html","\$novar");
    
    // send email to all editors

    $query = "select category_id from idx_link where link_id = $id";
    $result = $conn->Execute($query);
    $cat = $result->Fields("category_id"); 

    $emails = $links_obj->GetEditorEmail($cat);
    $i=0;
    while($i<count($emails)) {

      $body = EvalTemplate($theme_path."mail/bad_link_editor.mail",$links_obj->email_template_fields);
      $from = $msg["10242"];
      mail($emails[$i],$msg["10241"],$body,
         "From: $from \nX-Mailer: INDEXU_X-Mailer/1.0");
      $i++;
    }
  }
  
  else {
    ShowFormReportBadLink();   
  }
}



// --------------
//  main program
// --------------

$conn = ConnectDB();
$title = $titles["1104"];

$theme_name = GetTheme($COOKIE_USERNAME);
if(empty($theme_name)) $theme_name = "default";

$theme_path = $theme_path.$theme_name."/";
include($theme_path."msg.php");



DisplayTemplate($theme_path."header.html","\$title,\$cat");

if (empty($pflag)) {  
  ShowFormReportBadLink();
}
elseif($pflag=='bad_link') {
  ProcessFormReportBadLink(); 
}

DisplayTemplate($theme_path."footer.html","\$novar");

?>

