<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ShowFormChangePassword() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path;

  // vars url & form

  // vars messages
  global $msg;

  // vars template
  global $error_msg;
  
  DisplayTemplate($theme_path."cp/change_pwd_form.html","\$error_msg");
}


function ProcessFormChangePassword() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path, $users_obj, $COOKIE_USERNAME;

  // vars url & form
  global $present_pwd, $new_pwd, $new_pwd2;

  // vars messages
  global $msg;
  
  // vars template
  global $error_msg;
  

  // verify input
  
  if(empty($present_pwd)) $error_msg = $msg["20031"];
  elseif(empty($new_pwd)) $error_msg = $msg["20032"];
  elseif(empty($new_pwd2)) $error_msg = $msg["20033"];
  elseif($new_pwd2 != $new_pwd) $error_msg = $msg["20034"];

  if(empty($error_msg)) {
    $change_result = $users_obj->ChangePassword($COOKIE_USERNAME,$present_pwd,$new_pwd);
    if($change_result==0) {

      // DisplayTemplate($theme_path."cp/change_pwd_ok.html","\$novars");
      $back_url = urlencode("cp/change_pwd.php?pflag=ok");
      header("Location: ../login.php?f=1&b=$back_url&u=$COOKIE_USERNAME&p=$new_pwd&pflag=login");
    }
    else {
      $error_msg = $msg["20035"];
      DisplayTemplate($theme_path."cp/header.html","\$title,\$cat");
      ShowFormChangePassword();
    }
  }
  else {
    DisplayTemplate($theme_path."cp/header.html","\$title,\$cat");
    ShowFormChangePassword();
  }
}



// --------------
//  main program
// --------------

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if(!$users_obj->GetUserAuthentication()==0){
  $back_url = urlencode("cp/change_pwd.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {

  $conn = ConnectDB();
  $title = $titles["2004"];

  $theme_name = GetTheme($cookie_username);
  if(empty($theme_name)) $theme_name = "default";

  $theme_path = $theme_path.$theme_name."/";
  include($theme_path."msg.php");




  if (empty($pflag)) {
    DisplayTemplate($theme_path."cp/header.html","\$title,\$cat");
    ShowFormChangePassword();
  }
  elseif($pflag=='change') {
    ProcessFormChangePassword();
  }
  elseif($pflag=='ok') {
    DisplayTemplate($theme_path."cp/header.html","\$title,\$cat");
    DisplayTemplate($theme_path."cp/change_pwd_ok.html","\$novars");
  }

  DisplayTemplate($theme_path."cp/footer.html","\$novar");

}
?>

