<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function DeleteLink() {

  // vars global configuration
  global $conn, $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path;

  // vars url & form
  global $num_rows, $op;

  // vars messages
  global $msg;

  // vars template
  global $message;

  
  $links_obj = new clsLink;
  $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $links_obj->table_name = "idx_link";
  $links_obj->category_table_name = "idx_category";
  $links_obj->editor_table_name = "idx_editor";
  $links_obj->user_table_name = "idx_users";
  $links_obj->bad_link_table_name = "idx_bad_link";
      

  $i=1;
  while($i<=$num_rows){
    $var = "chkbox_$i";
    $id = $GLOBALS["$var"];

    if(!empty($id)) {
      if($op=="Delete Report") $op = "delete_report";
      elseif($op=="Delete Link") $op = "delete_link";
    
      // get link id
      $query = "select link_id from idx_bad_link where bad_link_id = $id";
      $result = $conn->Execute($query);
      $lid = $result->Fields("link_id");      
      
      $title = $links_obj->GetLinkTitle($lid);
      
      $delete_result = $links_obj->DeleteBadLinkReport($op,$id);

      if($delete_result==0) $message .= $msg["20281"];
  
      $message = str_replace("<%title%>",$title,$message);
    }
    $i++;
  }
  
  if(empty($message)) $message = $msg["20282"];  

  DisplayTemplate($theme_path."cp/editor_link_bad_delete.html",
    "\$message");
}


// ---------------
//  main program
// ---------------

$conn = ConnectDB();
$title = $titles["2013"];

$theme_name = GetTheme($cookie_username);
if(empty($theme_name)) $theme_name = "default";

$theme_path = $theme_path.$theme_name."/";
include($theme_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

// is he an editor

if($users_obj->GetUserAuthentication(1)!=0){
  $back_url = urlencode("cp/editor_link_delete.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  DisplayTemplate($theme_path."cp/header.html","\$title");
  DeleteLink();
  DisplayTemplate($theme_path."cp/footer.html","\$novar");
}
?>
