<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function DeleteLink() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path;

  // vars url & form
  global $num_rows;

  // vars messages
  global $msg;

  // vars template
  global $message;

  
  $links_obj = new clsLink;
  $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $links_obj->table_name = "idx_link";

  $i=1;
  while($i<=$num_rows){
    $var = "chkbox_$i";
    $id = $GLOBALS["$var"];

    if(!empty($id)) {
      $title = $links_obj->GetLinkTitle($id);
      $delete_result = $links_obj->Delete($id);

      if($delete_result==0) $message .= $msg["20141"];
  
      $message = str_replace("<%title%>",$title,$message);
    }
    $i++;
  }
  
  if(empty($message)) $message = $msg["20142"];  

  DisplayTemplate($theme_path."cp/editor_link_delete.html",
    "\$message");
}


// ---------------
//  main program
// ---------------

$conn = ConnectDB();
$title = $titles["2013"];

$theme_name = GetTheme($cookie_username);
if(empty($theme_name)) $theme_name = "default";

$theme_path = $theme_path.$theme_name."/";
include($theme_path."msg.php");

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

// is he an editor

if($users_obj->GetUserAuthentication(1)!=0){
  $back_url = urlencode("cp/editor_link_delete.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {
  DisplayTemplate($theme_path."cp/header.html","\$title");
  DeleteLink();
  DisplayTemplate($theme_path."cp/footer.html","\$novar");
}
?>
