<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ShowFormCreateFavorite() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path, $COOKIE_USERNAME, $HTTP_POST_VARS;

  // vars url & form
  global $id;

  // vars messages
  global $msg;

  // vars template
  global $error_msg, $title, $description;
  
  $title = $HTTP_POST_VARS["title"];

  $title = stripslashes($title);
  $description = stripslashes($description);
  
  DisplayTemplate($theme_path."cp/favorite_create_form.html","\$error_msg,\$title,\$description");
}


function ProcessFormCreateFavorite() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path,$COOKIE_USERNAME,$HTTP_POST_VARS;

  // vars url & form
  global $id, $title, $description;

  // vars messages
  global $msg;
  
  // vars template
  global $error_msg;
  

  // verify input
  
  $title = $HTTP_POST_VARS["title"];

  if(empty($title)) $error_msg = $msg["20081"];

  if(empty($error_msg)) {
    $links_obj = new clsLink;
    $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
    $links_obj->favorite_table_name = "idx_favorites";
    $links_obj->CreateFavorite($COOKIE_USERNAME,$title,$description);

    DisplayTemplate($theme_path."cp/favorite_create_ok.html","\$novar");
  }
  else {
    ShowFormCreateFavorite();
  }
}



// --------------
//  main program
// --------------

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if(!$users_obj->GetUserAuthentication()==0){
  $back_url = urlencode("cp/favorite_create.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {

  $conn = ConnectDB();
  $title = $titles["2006"];

  $theme_name = GetTheme($cookie_username);
  if(empty($theme_name)) $theme_name = "default";

  $theme_path = $theme_path.$theme_name."/";
  include($theme_path."msg.php");



  DisplayTemplate($theme_path."cp/header.html","\$title,\$cat");

  if (empty($pflag)) {
    ShowFormCreateFavorite();
  }
  elseif($pflag=='create') {
    ProcessFormCreateFavorite();
  }

  DisplayTemplate($theme_path."cp/footer.html","\$novar");

}
?>

