<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ViewFavorite() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path, $COOKIE_USERNAME, $category_separator;

  // vars url & form
  global $id;

  // vars messages
  global $msg;
  
  // vars template
  global $error_msg, $fav_item;
  


  $links_obj = new clsLink;
  $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $links_obj->table_name = "idx_link";
  $links_obj->favorite_table_name = "idx_favorites";
  $links_obj->favorite_detail_table_name = "idx_favorites_detail";
  $links_obj->category_table_name = "idx_category";
  $links_obj->category_separator = $category_separator;
  $links_obj->template_file = $theme_path."cp/favorite_detail_rows.html";
  $links_obj->date_format = $msg["20101"];

  $fav_item = $links_obj->ViewFavorite($id);

  if($fav_item==1)
    DisplayTemplate($theme_path."cp/no_favorite.html","\$novar");
  else
    DisplayTemplate($theme_path."cp/favorite_view.html","\$fav_item");

}



// --------------
//  main program
// --------------

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if(!$users_obj->GetUserAuthentication()==0){
  $back_url = urlencode("cp/index.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {

  $conn = ConnectDB();
  $title = $titles["2009"];

  $theme_name = GetTheme($cookie_username);
  if(empty($theme_name)) $theme_name = "default";

  $theme_path = $theme_path.$theme_name."/";
  include($theme_path."msg.php");



  DisplayTemplate($theme_path."cp/header.html","\$title,\$cat");
  ViewFavorite();
  DisplayTemplate($theme_path."cp/footer.html","\$novar");

}
?>

