<?php

include("../application.php");

// ---------------
//  functions
// ---------------

function ShowUserCP() {
  
  // vars global configuration
  global $users_obj, $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path, $category_separator, $COOKIE_USERNAME;
    
  // vars messages
  global $msg;
  
  // vars template
  global $favorite, $editor_menu, $category;
  

  // get list of favorites

  $links_obj = new clsLink;
  $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $links_obj->table_name = "idx_link";
  $links_obj->favorite_table_name = "idx_favorites";
  $links_obj->editor_table_name = "idx_editor";
  $links_obj->max_rows = 50;
  $links_obj->date_format = $msg["20001"];
  $links_obj->query = "select * from idx_favorites where username = '$COOKIE_USERNAME'";
  $links_obj->template_file = $theme_path."cp/fav_rows.html";
  
  $favorite = $links_obj->DisplayFavorites();

  $category_obj = new clsCategory;
  $category_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $category_obj->table_name = "idx_category";
  $category_obj->link_table_name = "idx_link";
  $category_obj->separator = $category_separator; 

  // get editor menu
  
  if($users_obj->GetUserAuthentication(1)==0){
    
    // get category for this editor
    $categories = $links_obj->GetEditorCategory($COOKIE_USERNAME);
    $i=0;
    while($i<count($categories)) {
      $category .= $category_obj->GetCategoryPath($categories[$i],"../browse.php") . "<br>";
      $i++;
    }    
    
    // display editor's menu
    $editor_menu = EvalTemplate($theme_path."cp/editor_menu.html","\$category");
  }
  
  
  DisplayTemplate($theme_path."cp/index.html","\$favorite,\$editor_menu");
}

// ---------------
//  main program
// ---------------

$users_obj = new clsUsers;
$users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
$users_obj->table_name = "idx_users";

if(!$users_obj->GetUserAuthentication()==0){
  $back_url = urlencode("cp/index.php");
  header("Location: ../login.php?f=1&b=$back_url");
}
else {

  $conn = ConnectDB();
  $title = $titles["2001"];

  $theme_name = GetTheme($cookie_username);
  if(empty($theme_name)) $theme_name = "default";

  $theme_path = $theme_path.$theme_name."/";
  include($theme_path."msg.php");

  DisplayTemplate($theme_path."cp/header.html","\$title,\$cat");
  ShowUserCP();
  DisplayTemplate($theme_path."cp/footer.html","\$novar");
}
?>







