<?php

include("application.php");

// ---------------
//  functions
// ---------------

function SelectGetRated() {

  // vars global configuration
  global $theme_path;

  DisplayTemplate($theme_path."get_rated_select.html",
    "\$novar");
}


function SearchGetRatedID() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path, $max_rows, $max_pages, $max_chapters;

  // vars url & form
  global $query;
  
  // vars messages
  global $msg;

  // vars template
  global $link, $num_links, $pagination, $error_msg, $keyword;

  $keyword = $query;
  $query = "select * from idx_link where title like '%$query%'";

  $links_obj = new clsLink;
  $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);

  $links_obj->query = $query;
  $links_obj->table_name = "idx_link";
  $links_obj->category_table_name = "idx_category";
  $links_obj->template_file = $theme_path."get_rated_search_rows.html";
  $links_obj->date_format = $msg["10151"];

  $links_obj->paging = true;
  $links_obj->pg_size = 25; //$max_rows;
  $links_obj->cp_size = $max_pages;
  $links_obj->cp_more = $max_chapters;
  $links_obj->href = "get_rated.php";
  $links_obj->more_param = "&pflag=search&query=$keyword";

  $link = $links_obj->Display();
  $pagination = $links_obj->pagination;
  $num_links = $links_obj->record_count_of_display;
  

  if($num_links==0) {
    $error_msg = str_replace("<%keyword%>",$keyword,$msg["10152"]);
    DisplayTemplate($theme_path."search_error.html","\$error_msg");
  }
  else DisplayTemplate($theme_path."get_rated_search.html","\$link,\$num_links,\$pagination,\$keyword");
}


function ViewGetRated() {

  // vars global configuration
  global $theme_path;

  // vars url & form
  global $id;

  DisplayTemplate($theme_path."get_rated_code.html",
    "\$id");


}



// --------------
//  main program
// --------------

$conn = ConnectDB();
$title = $titles["1113"];

$theme_name = GetTheme($COOKIE_USERNAME);
if(empty($theme_name)) $theme_name = "default";

$theme_path = $theme_path.$theme_name."/";
include($theme_path."msg.php");



DisplayTemplate($theme_path."header.html","\$title,\$cat");

if (empty($pflag)) {  
  SelectGetRated();
}
elseif($pflag=='search') {
  SearchGetRatedID();
}
elseif($pflag=='view') {
  ViewGetRated();
}

DisplayTemplate($theme_path."footer.html","\$novar");

?>

