<?php

include("application.php");

// ---------------
//  functions
// ---------------

function ShowFormLogin() {

  // vars global configuration
  global $theme_path;

  // vars url & form
  global $f,$b;

  // vars template
  global $error_msg;

  if($f==1) DisplayTemplate($theme_path."permission_error.html","\$error_msg,\$username,\$password,\$f,\$b");
  else DisplayTemplate($theme_path."login_form.html","\$error_msg,\$username,\$password,\$f,\$b");
}


function ProcessFormLogin() {

  // vars global configuration
  global $conn, $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path;      
  
  // vars url & form
  global $username, $password, $remember_me, $f, $b, $u, $p;
    
  // vars messages
  global $msg;
  
  // vars template
  global $error_msg;
  
  // verify input
  
  if(empty($u) && empty($p)) {
    if(empty($username)) $error_msg = $msg["10091"];
    elseif(strlen($username)<3) $error_msg = $msg["10092"];
    elseif(empty($password)) $error_msg = $msg["10093"];
  }
  else {
    $username = $u;
    $password = $p;
  }
  
  if(empty($error_msg)) {
    
    $users_obj = new clsUsers;
    $users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  
    $users_obj->table_name = "idx_users";

    if($remember_me) { $expire = time()+(3600 * 24 * 1000); }    // 1000 days 
    else { $expire = 0; }    // expire when browser closed

    $login = $users_obj->Login($username,$password,$expire);
  
    if($login=='1') {    
      $error_msg = $msg["10094"];
      DisplayTemplate($theme_path."header.html","\$title");
      ShowFormLogin();    
    }  
    else { 
      if($f==1 && !empty($b)) header("Location: $b");
      else header("Location: index.php");
    }
  }
  else {
    DisplayTemplate($theme_path."header.html","\$title");
    ShowFormLogin();    
  }
}



// --------------
//  main program
// --------------

$conn = ConnectDB();
$title = $titles["1115"];

$theme_name = GetTheme($COOKIE_USERNAME);
if(empty($theme_name)) $theme_name = "default";

$theme_path = $theme_path.$theme_name."/";
include($theme_path."msg.php");


if (empty($pflag)) {
  DisplayTemplate($theme_path."header.html","\$title,\$cat");
  ShowFormLogin();    
}
elseif($pflag=='login') {
  ProcessFormLogin(); 
}

DisplayTemplate($theme_path."footer.html","\$novar");

?>

