<?php

include("application.php");

// ---------------
//  functions
// ---------------

function ProcessRating() {

  // vars global configuration

  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path, $top_rated_limit;

  // vars url & form
  global $id,$rating;

  // vars messages
  global $msg;

  // vars template
  global $error_msg,$title;

  $links_obj = new clsLink;
  $links_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);

  $links_obj->query = "select * from idx_link where link_id = $id";
  $links_obj->table_name = "idx_link";
  $links_obj->votes_table_name = "idx_votes";
  $links_obj->top_rated_limit = $top_rated_limit;
  $rating_result = $links_obj->RateLink($id,$rating);


  // success
  if($rating_result==0) {
    $title = $links_obj->GetLinkTitle($id);
    DisplayTemplate($theme_path."rating_ok.html","\$title");
  }
  // user already rated
  elseif ($rating_result==1) {
    $error_msg = $msg["10171"];
    DisplayTemplate($theme_path."rating_error.html","\$error_msg");
  }

  // rated fail
  else {
    $error_msg = $msg["10172"];
    DisplayTemplate($theme_path."rating_error.html","\$error_msg");
  }
}

// --------------
//  main program
// --------------

$conn = ConnectDB();

$title = $titles["1117"];

$theme_name = GetTheme($COOKIE_USERNAME);
if(empty($theme_name)) $theme_name = "default";

$theme_path = $theme_path.$theme_name."/";
include($theme_path."msg.php");


DisplayTemplate($theme_path."header.html","\$title,\$cat");
ProcessRating();
DisplayTemplate($theme_path."footer.html","\$cat,\$ma");

?>

