<?php

include("application.php");

// ---------------
//  functions
// ---------------

function ShowFormSearchUser() {

  // vars global configuration
  global $theme_path;

  // vars url & form

  // vars messages

  // vars template

  DisplayTemplate($theme_path."user_search_form.html",
    "\$novar");
}


function ProcessFormSearchUser() {

  // vars global configuration
  global $dbServer, $dbHostname, $dbUsername, $dbPassword, $dbName,
    $theme_path;

  // vars url & form
  global $username, $password, $email, $name, $homepage, $icq, $yahoo,
    $aol, $biography, $interest, $location, $occupation, $pg_which;

  // vars messages
  global $msg;

  // vars template
  global $user, $pagination, $param, $num_rows;


  $users_obj = new clsUsers;
  $users_obj->InitDB($dbServer,$dbHostname,$dbUsername,$dbPassword,$dbName);
  $users_obj->table_name = "idx_users";
  $users_obj->template_file = $theme_path."user_search_result_rows.html";
  $users_obj->paging = true;
  $users_obj->date_format = $msg["10291"];
  
  $fields = $users_obj->GetFields();

  // ----- querying -----

  $query = "select * from idx_users where 0=0 ";
  $i=0;
  while($i<count($fields)) {
    $field = $fields[$i];

    if(!empty($$field))
      $query .= "and $field like '%".$$field."%' ";

    $i++;
  }
  $query .= " order by username";

  $users_obj->query = $query;
  
  $users_obj->more_param =
   "&pflag=search&username=$username&email=$email&name=$name&homepage=$homepage&icq=$icq&yahoo=$yahoo".
   "&aol=$aol&biography=$biography&interest=$interest&location=$location&occupation=$occupation";

  $user = $users_obj->DisplayUsers();
  $pagination = $users_obj->pagination;
  $num_rows = $users_obj->num_rows;
  
  DisplayTemplate($theme_path."user_search_result.html",
    "\$user,\$pagination,\$param,\$num_rows");
}



// ---------------
//  main program
// ---------------

$conn = ConnectDB();

$title = $titles["1123"];

$theme_name = GetTheme($COOKIE_USERNAME);
if(empty($theme_name)) $theme_name = "default";

$theme_path = $theme_path.$theme_name."/";
include($theme_path."msg.php");

DisplayTemplate($theme_path."header.html","\$title");
if (empty($pflag)) {
  ShowFormSearchUser();
}
elseif($pflag=='search') {
  ProcessFormSearchUser();
}
DisplayTemplate($theme_path."footer.html","\$novar");


?>
